Bug 1323996 - XMLTABLE single element in sequence invalid conversion
Summary: XMLTABLE single element in sequence invalid conversion
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER3
: 6.3.0
Assignee: Van Halbert
QA Contact: Jan Stastny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-05 10:07 UTC by Jan Stastny
Modified: 2016-08-24 11:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-24 11:36:17 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4115 Major Closed XMLTABLE single element in sequence invalid conversion 2016-06-03 20:41:01 UTC

Description Jan Stastny 2016-04-05 10:07:55 UTC
Description of problem:
There is a possibility to handle xml element sequences as arrays when using XMLTABLE function.
When there's only one element in the sequence, an exception is thrown. See linked JIRA.

Version-Release number of selected component (if applicable):
DV 6.3.0 ER1.2

Comment 1 JBoss JIRA Server 2016-04-05 14:36:28 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4115 to Resolved

Comment 2 JBoss JIRA Server 2016-06-03 20:41:01 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4115 to Closed


Note You need to log in before you can comment on or make changes to this bug.